View Issue Details

IDProjectCategoryView StatusLast Update
0004954gnunet-gtkbuild systempublic2018-06-07 00:24
ReporterellAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSOS VersionXubuntu-16.10
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0004954: make fails
Descriptiongit clone https://gnunet.org/git/gnunet-gtk.git
cd gnunet-gtk
bootstrap
configure
make
...
libtool: compile: gcc ... C -o .libs/about.o
In file included from about.c:27:0:
../../src/include/gnunet_gtk.h:216:29: error: unknown type name ‘GNUNET_SCHEDULER_TaskCallback’
                             GNUNET_SCHEDULER_TaskCallback main_task);
                             ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Makefile:514: die Regel für Ziel „about.lo“ scheiterte
make[3]: *** [about.lo] Fehler 1
Steps To Reproduce->Description

Additional Informationgnunet and all libs are installed.
TagsNo tags attached.

Activities

Christian Grothoff

2017-03-14 12:02

manager   ~0011920

Most likely you are building gnunet-gtk against an "ancient" version of GNUnet. Can you update and re-build gnunet (make install) before building gnunet-gtk?

ell

2017-03-14 15:45

reporter   ~0011925

Used release:
ell@Xubu2017:~/Schreibtisch$ gnunet-arm -v
gnunet-arm v0.10.1 release

With new updated gnunet from git (also v0.10.1) same and more problems around with
GNUNET_SCHEDULER_Task, GNUNET_SCHEDULER
in make
  

No complains from configure-script.

ell

2017-03-14 18:00

reporter   ~0011927

A new test with updated gnunet and updated gnunet-gtk on Xubuntu-16.04 (not Xubu-16.10):

No complains from configure-script.
But make dies:

make
...
libtool: link: gcc -fno-strict-aliasing -Wall -g -O2 -pthread -I/usr/include/gtk-3.0 -I/usr/include/at-spi2-atk/2.0 -I/usr/include/at-spi-2.0 -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-linux-gnu/dbus-1.0/include -I/usr/include/gtk-3.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/mirclient -I/usr/include/mircommon -I/usr/include/mircookie -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/harfbuzz -I/usr/include/pango-1.0 -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -o .libs/gnunet-fs-gtk gnunet-fs-gtk.o gnunet-fs-gtk_about.o gnunet-fs-gtk_anonymity-widgets.o gnunet-fs-gtk_common.o gnunet-fs-gtk_download-save-as.o gnunet-fs-gtk_event-handler.o gnunet-fs-gtk_main-window-connection.o gnunet-fs-gtk_main-window-meta-data-context-menu.o gnunet-fs-gtk_main-window-search.o gnunet-fs-gtk_main-window-view-toggles.o gnunet-fs-gtk_open-directory.o gnunet-fs-gtk_open-uri.o gnunet-fs-gtk_unindex.o gnunet-fs-gtk_publish-dialog.o gnunet-fs-gtk_publish-edit-dialog.o -Wl,--export-dynamic ../../src/lib/.libs/libgnunetgtk.so -lgladeui-2 -lxml2 -L/usr/local/lib -lunique-3.0 -lextractor /usr/local/lib/libgnunetutil.so /usr/local/lib/libgnunetarm.so /usr/local/lib/libgnunetdnsparser.so /usr/local/lib/libgnunetfs.so /usr/local/lib/libgnunetgns.so /usr/local/lib/libgnunetgnsrecord.so /usr/local/lib/libgnunetnamestore.so /usr/local/lib/libgnunetidentity.so -lgtk-3 -lgdk-3 -lpangocairo-1.0 -lpango-1.0 -latk-1.0 -lcairo-gobject -lcairo -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -pthread
gnunet-fs-gtk_event-handler.o: In function `GNUNET_FS_GTK_search_treeview_popup_menu':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_event-handler.c:1448: undefined reference to `gtk_menu_popup_at_widget'
gnunet-fs-gtk_event-handler.o: In function `GNUNET_FS_GTK_search_treeview_button_press_event':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_event-handler.c:1496: undefined reference to `gtk_menu_popup_at_pointer'
gnunet-fs-gtk_event-handler.o: In function `GNUNET_GTK_download_frame_button_press_event_cb':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_event-handler.c:1540: undefined reference to `gtk_menu_popup_at_pointer'
gnunet-fs-gtk_event-handler.o: In function `GNUNET_FS_GTK_publish_treeview_popup_menu':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_event-handler.c:3932: undefined reference to `gtk_menu_popup_at_widget'
gnunet-fs-gtk_event-handler.o: In function `GNUNET_FS_GTK_publish_treeview_button_press_event':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_event-handler.c:3980: undefined reference to `gtk_menu_popup_at_pointer'
gnunet-fs-gtk_main-window-meta-data-context-menu.o: In function `GNUNET_GTK_main_window_metadata_treeview_button_press_event_cb':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_main-window-meta-data-context-menu.c:154: undefined reference to `gtk_menu_popup_at_pointer'
gnunet-fs-gtk_main-window-meta-data-context-menu.o: In function `GNUNET_GTK_main_window_metadata_treeview_popup_menu_cb':
/home/ell/Schreibtisch/gnunet-gtk/src/fs/gnunet-fs-gtk_main-window-meta-data-context-menu.c:178: undefined reference to `gtk_menu_popup_at_widget'
collect2: error: ld returned 1 exit status
Makefile:583: die Regel für Ziel „gnunet-fs-gtk“ scheiterte
make[4]: *** [gnunet-fs-gtk] Fehler 1
make[4]: Verzeichnis „/home/ell/Schreibtisch/gnunet-gtk/src/fs“ wird verlassen
Makefile:663: die Regel für Ziel „all-recursive“ scheiterte
make[3]: *** [all-recursive] Fehler 1
make[3]: Verzeichnis „/home/ell/Schreibtisch/gnunet-gtk/src/fs“ wird verlassen
Makefile:410: die Regel für Ziel „all-recursive“ scheiterte
make[2]: *** [all-recursive] Fehler 1
make[2]: Verzeichnis „/home/ell/Schreibtisch/gnunet-gtk/src“ wird verlassen
Makefile:554: die Regel für Ziel „all-recursive“ scheiterte
make[1]: *** [all-recursive] Fehler 1
make[1]: Verzeichnis „/home/ell/Schreibtisch/gnunet-gtk“ wird verlassen
Makefile:438: die Regel für Ziel „all“ scheiterte
make: *** [all] Fehler 2

In this test the GNUNET_SCHEDULER-complaints are not seen, but I suspect them to come later.

Christian Grothoff

2017-03-14 18:34

manager   ~0011928

You need at least gtk+3.22. I'm fixed that in configure now (will still take a bit).

ell

2017-03-14 23:09

reporter   ~0011929

Install of gtk+3.22 seems to solve the problems.
Thanks for help.

Issue History

Date Modified Username Field Change
2017-03-14 11:30 ell New Issue
2017-03-14 12:02 Christian Grothoff Note Added: 0011920
2017-03-14 12:03 Christian Grothoff Status new => feedback
2017-03-14 15:45 ell Note Added: 0011925
2017-03-14 15:45 ell Status feedback => new
2017-03-14 18:00 ell Note Added: 0011927
2017-03-14 18:34 Christian Grothoff Note Added: 0011928
2017-03-14 23:09 ell Note Added: 0011929
2017-03-15 00:42 Christian Grothoff Assigned To => Christian Grothoff
2017-03-15 00:42 Christian Grothoff Status new => resolved
2017-03-15 00:42 Christian Grothoff Resolution open => fixed
2017-03-15 00:42 Christian Grothoff Fixed in Version => 0.11.0pre66
2017-03-15 00:42 Christian Grothoff Product Version => SVN HEAD
2017-03-15 00:42 Christian Grothoff Target Version => 0.11.0pre66
2018-06-07 00:24 Christian Grothoff Status resolved => closed